[arch-commits] CVS update of extra/devel/erlang (PKGBUILD)

Juergen Hoetzel juergen at archlinux.org
Sat Dec 8 14:23:07 EST 2007


    Date: Saturday, December 8, 2007 @ 14:23:07
  Author: juergen
    Path: /home/cvs-extra/extra/devel/erlang

Modified: PKGBUILD (1.26 -> 1.27)

upgpkg: erlang R12B.0-1


----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)


Index: extra/devel/erlang/PKGBUILD
diff -u extra/devel/erlang/PKGBUILD:1.26 extra/devel/erlang/PKGBUILD:1.27
--- extra/devel/erlang/PKGBUILD:1.26	Thu Oct 18 02:29:43 2007
+++ extra/devel/erlang/PKGBUILD	Sat Dec  8 14:23:07 2007
@@ -1,10 +1,10 @@
-# $Id: PKGBUILD,v 1.26 2007/10/18 06:29:43 andyrtr Exp $
+# $Id: PKGBUILD,v 1.27 2007/12/08 19:23:07 juergen Exp $
 # Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 
 pkgname=erlang
-pkgver=R11B.5
-pkgrel=3.1
+pkgver=R12B.0
+pkgrel=1
 pkgdesc="A small concurrent functional programming language developed by Ericsson."
 arch=(i686 x86_64)
 options=('!makeflags')
@@ -13,20 +13,20 @@
 makedepends=('java-environment' 'perl' 'openssl')
 source=(http://www.erlang.org/download/otp_src_${pkgver/./-}.tar.gz
 	http://www.erlang.org/download/otp_doc_man_${pkgver/./-}.tar.gz)
-md5sums=('96acec41da87d6ee0ef18e1aab36ffdd' '5c387162ae6d255f525d72a91481d135')
+md5sums=('54cd5a83697c515f571e44d4ea99c8d3' 'aa3a12a16e03d1aadec40e265f51e7c6')
 
 url="http://www.erlang.org/index.html"
 
 build() {
-  ERTSVERSION=5.5.5
+  ERTSVERSION=5.6
   cd $startdir/src/otp_src_${pkgver/./-}
 
   # fix #7633 - shouldn't hurt i686
-  sed -i '/SSL_DYNAMIC_ONLY=/s:no:yes:' erts/configure
+  sed -i '/SSL_DYNAMIC_ONLY=/s:no:yes:' erts/configure || return 1
 
   ./configure --prefix=/usr --enable-smp-support --enable-threads
   make || return 1
-  make INSTALL_PREFIX=$startdir/pkg install
+  make INSTALL_PREFIX=$startdir/pkg install || return 1
 
 # fix prefix
   cd $startdir/pkg
@@ -44,7 +44,7 @@
 
   cd $startdir/pkg/usr/bin
   for file in *; do
-    ln -sfv ../lib/erlang/bin/$file
+    ln -sfv ../lib/erlang/bin/$file || return 1
   done
 
 	# install documentation 




More information about the arch-commits mailing list